/*********************************************************************************/
/********** THIS FILE IS GENERATED BY TOUCHGFX DESIGNER, DO NOT MODIFY ***********/
/*********************************************************************************/
#ifndef EASINGEQUATION_VIEW_BASE_HPP
#define EASINGEQUATION_VIEW_BASE_HPP

#include <gui/common/FrontendApplication.hpp>
#include <mvp/View.hpp>
#include <gui/easingequation_screen/EasingEquationPresenter.hpp>
#include <touchgfx/widgets/Image.hpp>
#include <touchgfx/widgets/Button.hpp>
#include <gui/containers/mcuLoadWidget.hpp>
#include <touchgfx/widgets/TextArea.hpp>

class EasingEquationViewBase : public touchgfx::View<EasingEquationPresenter>
{
public:
    EasingEquationViewBase();
    virtual ~EasingEquationViewBase() {}

    virtual void setupScreen();

protected:
    FrontendApplication& application() {
        return *static_cast<FrontendApplication*>(Application::getInstance());
    }

    /*
     * Member Declarations
     */
    touchgfx::Image background;
    touchgfx::Button gotoMenuButton;
    McuLoadWidget mcuLoad;
    touchgfx::TextArea easingEquationName;
    touchgfx::Image dot;
    touchgfx::Image graphDot;

private:

    /*
     * Callback Handler Declarations
     */
    void buttonCallbackHandler(const touchgfx::AbstractButton& src);

    /*
     * Callback Declarations
     */
    touchgfx::Callback<EasingEquationViewBase, const touchgfx::AbstractButton&> buttonCallback;

};

#endif // EASINGEQUATION_VIEW_BASE_HPP
